osl::annotate::ThreatmateIfMorePieces Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | List of all members
osl::annotate::ThreatmateIfMorePieces Class Reference

`#include <analyzer.h>`

Inheritance diagram for osl::annotate::ThreatmateIfMorePieces:
[legend]
Collaboration diagram for osl::annotate::ThreatmateIfMorePieces:
[legend]

## Public Member Functions
void | match (AnalysesResult &, const NumEffectState &src, const vector< Move > &moves, int last_move)
Public Member Functions inherited from osl::annotate::Analyzer
virtual | ~Analyzer ()

## Static Public Member Functions
static bool | suitable (const NumEffectState &state, Piece p)
Static Public Member Functions inherited from osl::annotate::Analyzer
static Trivalent | isCheckmate (NumEffectState &state, Move &best_move, bool attack=true, size_t *node_count=0)

## Detailed Description

Definition at line 79 of file analyzer.h.

## Member Function Documentation

void osl::annotate::ThreatmateIfMorePieces::match | ( | AnalysesResult & | shared,
|  | const NumEffectState & | src,
|  | const vector< Move > & | moves,
|  | int | last_move
| ) |  |
| virtual

Implements osl::annotate::Analyzer.

Definition at line 270 of file analyzer.cc.

References osl::alt(), osl::annotate::AnalysesResult::ThreatmateIfMorePieces::board_ptype, checkmate_limit, osl::PtypeTable::getMaskLow(), osl::annotate::AnalysesResult::ThreatmateIfMorePieces::hand_ptype, osl::Piece::isOnBoard(), osl::checkmate::DualDfpn::isWinningState(), order, osl::Piece::ptype(), osl::Ptype_Table, osl::annotate::AnalysesResult::threatmate, osl::annotate::AnalysesResult::threatmate_if_more_pieces, osl::annotate::True, and osl::unpromote().

bool osl::annotate::ThreatmateIfMorePieces::suitable | ( | const NumEffectState & | state,
|  | Piece | p
| ) |  |
| static

Definition at line 253 of file analyzer.cc.

References osl::alt(), osl::move_generator::addeffect8::hasEffect(), osl::Piece::owner(), osl::Piece::ptypeO(), and osl::Piece::square().

The documentation for this class was generated from the following files:

- analyzer.h
- analyzer.cc